﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace AutoCompleteViewExample
{
    public class ViewModel
    {
        public ObservableCollection<Client> Source { get; set; }
        public ViewModel()
        {
            this.Source = new ObservableCollection<Client>()
            {
                new Client("Freda Curtis", "fcurtis@mail.com"),
                new Client("Jeffery Francis", "jfrancis@mail.com"),
                new Client("Eva Lawson", "elawson@mail.com"),
                new Client("Emmett Santos", "esantos@mail.com"),
                new Client("Theresa Bryan", "tbryan@mail.com"),
                new Client("Jenny Fuller", "jfuller@mail.com"),
                new Client("Terrell Norris", "tnorris@mail.com"),
                new Client("Eric Wheeler", "ewheeler@mail.com"),
                new Client("Nida Carty", "ncarty@mail.com"),
                new Client("Niki Samaniego", "nsamaniego@mail.com")
            };
        }
    }

    public class Client
    {
        public Client(string name, string email)
        {
            this.Name = name;
            this.Email = email;         
        }
        public string Name { get; set; }
        public string Email { get; set; }      
    }
}
